SequenceType1Code
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

## Enum SequenceType1Code

- java.lang.Object
- - java.lang.Enum<SequenceType1Code>
  - - de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.SequenceType1Code

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SequenceType1Code>

      public enum SequenceType1Code
      extends java.lang.Enum<SequenceType1Code>

  Java class for SequenceType1Code.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="SequenceType1Code">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="FRST"/>
           <enumeration value="RCUR"/>
           <enumeration value="FNAL"/>
           <enumeration value="OOFF"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FNAL`
    `FRST`
    `OOFF`
    `RCUR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SequenceType1Code` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static SequenceType1Code` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SequenceType1Code[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRST

          public static final SequenceType1Code FRST

    - #### RCUR

          public static final SequenceType1Code RCUR

    - #### FNAL

          public static final SequenceType1Code FNAL

    - #### OOFF

          public static final SequenceType1Code OOFF

  - ### Method Detail

    - #### values

          public static SequenceType1Code[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SequenceType1Code c : SequenceType1Code.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SequenceType1Code valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static SequenceType1Code fromValue(java.lang.String v)